Bug 97197 - [Qt][WK2][CSS Regions] fast/regions/css-regions-disabled.html fails
Summary: [Qt][WK2][CSS Regions] fast/regions/css-regions-disabled.html fails
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: AdobeTracked, Qt, QtTriaged
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2012-09-20 04:45 PDT by Csaba Osztrogonác
Modified: 2012-12-26 13:55 PST (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2012-09-20 04:45:07 PDT
Maybe overridePreference of WebKitCSSRegionsEnabled doesn't work on Qt WK2:
"window.testRunner.overridePreference("WebKitCSSRegionsEnabled", "0");"

--- /home/oszi/WebKit/WebKitBuild/Release/layout-test-results/fast/regions/css-regions-disabled-expected.txt
+++ /home/oszi/WebKit/WebKitBuild/Release/layout-test-results/fast/regions/css-regions-disabled-actual.txt
@@ -3,19 +3,19 @@
 On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".


-PASS testWebKitFlowInto("-webkit-flow-into: none") is ""
-PASS testWebKitFlowInto("-webkit-flow-into: first-flow") is ""
+FAIL testWebKitFlowInto("-webkit-flow-into: none") should be . Was none.
+FAIL testWebKitFlowInto("-webkit-flow-into: first-flow") should be . Was first-flow.
 PASS testComputedStyleWebKitFlowInto("none") is "none"
-PASS testComputedStyleWebKitFlowInto("first-flow") is "none"
-PASS testWebKitFlowFrom("-webkit-flow-from: first-flow") is ""
-PASS testWebKitFlowFrom("-webkit-flow-from: none") is ""
-PASS testComputedStyleWebKitFlowFrom("first-flow") is "none"
+FAIL testComputedStyleWebKitFlowInto("first-flow") should be none. Was first-flow.
+FAIL testWebKitFlowFrom("-webkit-flow-from: first-flow") should be . Was first-flow.
+FAIL testWebKitFlowFrom("-webkit-flow-from: none") should be . Was none.
+FAIL testComputedStyleWebKitFlowFrom("first-flow") should be none. Was first-flow.
 PASS testComputedStyleWebKitFlowFrom("none") is "none"
-PASS testWebKitRegionOverflow("-webkit-region-overflow: auto") is ""
-PASS testWebKitRegionOverflow("-webkit-region-overflow: break") is ""
+FAIL testWebKitRegionOverflow("-webkit-region-overflow: auto") should be . Was auto.
+FAIL testWebKitRegionOverflow("-webkit-region-overflow: break") should be . Was break.
 PASS testComputedStyleWebKitRegionOverflow("auto") is "auto"
-PASS testComputedStyleWebKitRegionOverflow("break") is "auto"
-PASS webkitRegionRuleIndex is -1
+FAIL testComputedStyleWebKitRegionOverflow("break") should be auto. Was break.
+FAIL webkitRegionRuleIndex should be -1. Was 0.
 PASS successfullyParsed is true

 TEST COMPLETE
Comment 1 Csaba Osztrogonác 2012-09-20 05:14:23 PDT
It fails after enabling CSS regions in https://bugs.webkit.org/show_bug.cgi?id=97196, so I'm going to skip it until proper fix.
Comment 2 Mihnea Ovidenie 2012-12-25 22:33:02 PST
(In reply to comment #1)
> It fails after enabling CSS regions in https://bugs.webkit.org/show_bug.cgi?id=97196, so I'm going to skip it until proper fix.

Hi Ossy,

I cannot find this test in the list of skipped regions tests on QT. Is this one really skipped and failing?

Cheers,
Mihnea
Comment 3 Csaba Osztrogonác 2012-12-26 13:55:13 PST
Good point, it was fixed by https://trac.webkit.org/changeset/129430